# Perplex AI Assistant

Powered by ChatGPT, Perplex AI Assistant helps editors with tasks in Umbraco.

- Meta title + description
  - Suggestions for meta title and meta description are provided based on the page content.
  - In the "Quality" section added by this package you can update all metadata for all pages in your site without having to visit each individual node.
  - On an individual node the assistant is also available next to the meta title and meta description properties to give suggestions directly in the content app.
  - Any language that ChatGPT understands is supported.
  - It works for both published and unpublished pages.

## Configuration

Perplex AI Assistant can be configured in appsettings.json, it uses the following format:

```json
"Perplex.AI.Assistant": {
  "OpenAISecretKey": "...",
  "Metadata": {
    "MetaTitlePropertyAlias": "...",
    "MetaDescriptionPropertyAlias": "..."
  }
}
```

### Configuration Defaults

The following defaults are used when no configuration is provided in appsettings:

| Key                                     | Value               |
| --------------------------------------- | ------------------- |
| `OpenAISecretKey`                       | `null`              |
| `Metadata.MetaTitlePropertyAlias`       | `"metaTitle"`       |
| `Metadata.MetaDescriptionPropertyAlias` | `"metaDescription"` |

## OpenAI Secret Key

You will have to provide your own Secret Key for use with OpenAI's API.
An API key can created in your account at https://platform.openai.com/account/api-keys.
