angular.module("umbraco").service("perplexAIMetadataTreeService", [
    "$http",
    "perplexAIHttpErrorHandler",
    function perplexAIMetadataTreeService($http, errorHandler) {
        var API_ROOT = window.Umbraco.Sys.ServerVariables.umbracoSettings.umbracoPath + "/backoffice/perplexai/metadatatree/";

        function getChildren(nodeId, culture) {
            return $http.get(API_ROOT + "getchildren?nodeid=" + nodeId + "&culture=" + culture).then(function (response) {
                return response.data;
            }, errorHandler.handleError);
        }  

        this.getChildren = getChildren;
    }
]);
