angular.module("umbraco").service("perplexAIHttpErrorHandler", [    
    "notificationsService",
    function perplexAIHttpErrorHandlerService(notificationsService) {
        this.handleError = function handleError(err) {
            var msg = "An unspecified error has occured";

            if (err != null) {
                if (err.data != null && typeof err.data.ExceptionMessage === "string" && err.data.ExceptionMessage.length > 0) {
                    msg = err.data.ExceptionMessage;
                } else if (typeof err.data === "string" && err.data.length > 0) {
                    msg = err.data;
                } else if (typeof statusText === "string" && err.statusText.length > 0) {
                    msg = err.statusText;
                }
            }

            notificationsService.error(msg);
        }
    }
]);
