angular.module("umbraco").component("perplexAiMetadataTree", {
    templateUrl: "/App_Plugins/Perplex.AI.Assistant/metadata/tree/perplex.ai-metadata-tree.html",
    bindings: {
        culture: "<",
        save: "&",
        generate: "&",
    },
    controller: ["perplexAIMetadataTreeService", function perplexAiMetadataTreeController(service) {
        this.rootNodes = [];

        this.$onChanges = function () {
            this.loadRootNodes();
        }

        this.loadRootNodes = function loadChildren() {
            // Clear root nodes
            this.rootNodes.length = 0;

            service.getChildren(-1, this.culture).then(function (nodes) {
                if (Array.isArray(nodes)) {
                    this.rootNodes = nodes;
                }
            }.bind(this));
        }
    }]
});
